Overview
DELETE
/gamification/realms/{ecosystemId}/event-types/{id}gamificationDelete a realm-owned custom event type (owner or admin)
Delete a record from event-types by ecosystemId, id.
Auth: bearerAuth — calls run as the authenticated user.
Parameters
- ecosystemIdpathstring
- idpathstring
Responses
200
Deleted
- deletedstring
The deleted event type id
Example
{
"deleted": "string"
}401
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}403
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}404
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X DELETE "https://api.agenticdeveloperhub.com/gamification/realms/{ecosystemId}/event-types/{id}" \
-H "Authorization: Bearer YOUR_TOKEN"JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/gamification/realms/{ecosystemId}/event-types/{id}", {
method: "DELETE",
headers: {
"Authorization": "Bearer YOUR_TOKEN"
},
});
const data = await res.json();